package com.cool.store.dao;

import com.cool.store.entity.HomeTemplateDO;
import com.cool.store.mapper.HomeTemplateMapper;
import io.swagger.models.auth.In;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;

/**
 * @Author: WangShuo
 * @Date: 2025/04/08/09:39
 * @Version 1.0
 * @注释:
 */
@Repository
public class HomeTemplateDAO {

    @Resource
    private HomeTemplateMapper homeTemplateMapper;
    public HomeTemplateDO getHomeTemplateById(Long id) {
        return homeTemplateMapper.selectByPrimaryKey(id);
    }
    public Long insertSelective(HomeTemplateDO homeTemplateDO) {
        homeTemplateMapper.insertSelective(homeTemplateDO);
        return homeTemplateDO.getId();
    }
    public Integer updateByPrimaryKeySelective(HomeTemplateDO homeTemplateDO) {
        return homeTemplateMapper.updateByPrimaryKeySelective(homeTemplateDO);
    }
}
